# Class InlineChunkProvider

java.lang.Object
com.databricks.jdbc.api.impl.arrow.InlineChunkProvider

All Implemented Interfaces:
  `ChunkProvider`

public class InlineChunkProvider extends Object implements ChunkProvider
Class to manage inline Arrow chunks

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Closes the chunk provider and releases any resources associated with it.
`ArrowResultChunk`
`getChunk()`
Retrieves the current chunk of data after a successful call to `ChunkProvider.next()`.
`long`
`getChunkCount()`
`long`
`getRowCount()`
`boolean`
`hasNextChunk()`
Checks if there are more chunks available to iterate over.
`boolean`
`isClosed()`
`boolean`
`next()`
Advances to the next available chunk.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### hasNextChunk

public boolean hasNextChunk()
Checks if there are more chunks available to iterate over.

Specified by:
  `hasNextChunk` in interface `ChunkProvider`
Returns:
  `true` if there are additional chunks to be retrieved; `false` otherwise.

### next

public boolean next()
Advances to the next available chunk. This method should be called before calling `ChunkProvider.getChunk()` to retrieve the data from the next chunk.

Specified by:
  `next` in interface `ChunkProvider`
Returns:
  `true` if the next chunk was successfully moved to; `false` if there are no more chunks.

### getChunk

public ArrowResultChunk getChunk()
Retrieves the current chunk of data after a successful call to `ChunkProvider.next()`.

Specified by:
  `getChunk` in interface `ChunkProvider`
Returns:
  The current `AbstractArrowResultChunk` containing the data.

### close

public void close()
Closes the chunk provider and releases any resources associated with it. After calling this method, the chunk provider should not be used again.

Specified by:
  `close` in interface `ChunkProvider`

### getRowCount

public long getRowCount()

Specified by:
  `getRowCount` in interface `ChunkProvider`

### getChunkCount

public long getChunkCount()

Specified by:
  `getChunkCount` in interface `ChunkProvider`

### isClosed

public boolean isClosed()

Specified by:
  `isClosed` in interface `ChunkProvider`